你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn。

Usages - List By Subscription

获取给定订阅中所有搜索配额使用情况的列表。

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages?api-version=2023-11-01

URI 参数

名称 在 必需 类型 说明
location
path True

string

Microsoft Azure 地理区域的唯一位置名称。

subscriptionId
path True

string

Microsoft Azure 订阅的唯一标识符。 可以从 Azure 资源管理器 API、命令行工具或门户获取此值。

api-version
query True

string

要用于每个请求的 API 版本。

请求头

名称 必需 类型 说明
x-ms-client-request-id

string (uuid)

一个客户端生成的 GUID 值,用于标识此请求。 如果指定,响应信息中将包含此内容作为跟踪请求的一种方式。

响应

名称 类型 说明
200 OK

QuotaUsagesListResult

作成功。 响应包含给定订阅的所有搜索配额使用情况的列表。

Other Status Codes

CloudError

操作期间发生意外错误。

安全性

azure_auth

Microsoft Entra ID OAuth2 授权流。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

GetQuotaUsagesList

示例请求

GET https://management.azure.com/subscriptions/subid/providers/Microsoft.Search/locations/westus/usages?api-version=2023-11-01

示例响应

{
  "value": [
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/free",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "free",
        "localizedValue": "F - Free"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/basic",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "basic",
        "localizedValue": "B - Basic"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "standard",
        "localizedValue": "S - Standard"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard2",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "standard2",
        "localizedValue": "S2 - Standard2"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/standard3",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "standard3",
        "localizedValue": "S3 - Standard3"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL1",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "storageOptimizedL1",
        "localizedValue": "L1 - Storage Optimized"
      }
    },
    {
      "id": "/subscriptions/{subscriptionId}/providers/Microsoft.Search/locations/{location}/usages/storageOptimizedL2",
      "unit": "Count",
      "currentValue": 8,
      "limit": 16,
      "name": {
        "value": "storageOptimizedL2",
        "localizedValue": "L2 - Storage Optimized"
      }
    }
  ],
  "nextLink": null
}

定义

名称 说明
CloudError

包含有关 API 错误的信息。

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

Name

Azure AI 搜索支持的 SKU 的名称。

QuotaUsageResult

描述特定 SKU 的配额使用情况。

QuotaUsagesListResult

包含 Azure AI 搜索所有支持的 SKU 配额使用情况信息的响应。

CloudError

包含有关 API 错误的信息。

名称 类型 说明
error

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

CloudErrorBody

描述具有错误代码和消息的特定 API 错误。

名称 类型 说明
code

string

比 HTTP 状态代码更准确地描述错误条件的错误代码。 可用于以编程方式处理特定错误案例。

details

CloudErrorBody[]

包含与此错误相关的嵌套错误。

message

string

详细说明错误并提供调试信息的消息。

target

string

特定错误的目标(例如,错误中属性的名称)。

Name

Azure AI 搜索支持的 SKU 的名称。

名称 类型 说明
localizedValue

string

SKU 名称的本地化字符串值。

value

string

Azure AI 搜索支持的 SKU 名称。

QuotaUsageResult

描述特定 SKU 的配额使用情况。

名称 类型 说明
currentValue

integer (int32)

当前用于特定搜索 SKU 的值。

id

string

Microsoft.Search 提供程序配额使用情况 SKU 终结点的资源 ID。

limit

integer (int32)

特定搜索 SKU 的配额限制。

name

Name

Azure AI 搜索支持的 SKU 的名称。

unit

string

搜索 SKU 的度量单位。

QuotaUsagesListResult

包含 Azure AI 搜索所有支持的 SKU 配额使用情况信息的响应。

名称 类型 说明
nextLink

string

可用于查询下一页配额使用情况的请求 URL。 当请求的配额使用量总数超过最大页面大小时返回。

value

QuotaUsageResult[]

Azure AI 搜索支持的 SKU 的配额使用情况。